<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmListRetFileFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmListRetFileFlag Enumeration

Visual Basic
C#
C++/CLI
Flags returned in an IEdmBatchListing column if you specify column type EdmCol_EdmListRetFileFlag.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmListRetFileFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmListRetFileFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmListRetFileFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmLstRet_Drawing | 1 = It is a backwards drawing reference (i.e., it displayed as blue links in Enterprise's command dialog boxes)
EdmLstRet_InternalComponent | 2 = Internal SOLIDWORKS part, cut list, etc.; i.e., it is not a physical file
EdmLstRet_Nothing | 0 = It is an ordinary system file
EdmLstRet_ToolboxPart | 4 = This is a part file from the Toolbox library

# See Also

####

EPDM.Interop.epdm Namespace
IEdmBatchListing2::CreateListEx Method ()